/*
 *   Copyright (c) International Business Machines  Corp., 2001
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software 
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Module: lvmregmgr
 * File: lvm_move.h
 */ 

#ifndef _LVM_MOVE_H_
#define _LVM_MOVE_H_ 1

/* Move-Extent functions. */
#define LVM_REGION_FUNCTION_MOVE_EXTENT		(EVMS_Task_Plugin_Function)
#define LVM_REGION_FUNCTION_MOVE_EXTENTS	(EVMS_Task_Plugin_Function + 1)
#define LVM_CONTAINER_FUNCTION_MOVE_PV		(EVMS_Task_Plugin_Function + 2)

#define LVM_REGION_FUNCTION_COUNT		2
#define LVM_CONTAINER_FUNCTION_COUNT		1

/* Option for move-related tasks. */
#define LVM_OPTION_MOVE_EXTENT_LE_INDEX		0
#define LVM_OPTION_MOVE_EXTENT_LE_STR		"le"
#define LVM_OPTION_MOVE_EXTENT_PV_INDEX		1
#define LVM_OPTION_MOVE_EXTENT_PV_STR		"pv"
#define LVM_OPTION_MOVE_EXTENT_PE_INDEX		2
#define LVM_OPTION_MOVE_EXTENT_PE_STR		"pe"

/* Functions exported from lvm_move.c */
extern int lvm_commit_move_extents(lvm_volume_group_t * group);

extern int lvm_region_move_extent_init_option_descriptor(task_context_t * context);
extern int lvm_region_move_extent_set_option(task_context_t * context,
					     u_int32_t index,
					     value_t * value,
					     task_effect_t * effect);
extern int lvm_region_move_extent(lvm_logical_volume_t * volume,
				  option_array_t * options);

#endif

